Bug 42045 - Samba 4.6
Samba 4.6
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.2
Assigned To: Arvid Requate
Stefan Gohmann
: interim-3
Depends on: 41033 42846 40661 42624 42848
Blocks: 43681 45326
  Show dependency treegraph
 
Reported: 2016-08-19 07:16 CEST by Stefan Gohmann
Modified: 2017-09-05 19:49 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-08-19 07:16:11 CEST
UCS 4.2 should be shipped with Samba 4.5.
Comment 1 Arvid Requate univentionstaff 2016-10-31 17:40:54 CET
We've already built Samba 4.5.1 for UCS 4.1-4 (Bug #42624).

For that we added a new UCR variable samba4/kccsrv/samba_kcc to continue using the older implementation of the KCC to avoid unpleasant surprises in the patch level update.

For UCS 4.2 we should consider changing the default for samba4/kccsrv/samba_kcc in univention-samba4/conffiles/etc/samba/smb.conf.d/10global to match the new upstream default.
Comment 2 Philipp Hahn univentionstaff 2016-12-15 15:31:28 CET
# tail /var/log/daemon.log
Dec 15 11:35:02 master41 named[2796]: dlz_dlopen: incorrect version 1 should be 2 in '/usr/lib/x86_64-linux-gnu/samba/bind9/dlz_bind9.so'
Dec 15 11:35:02 master41 named[2796]: dlz_dlopen of 'samba4.zone' failed

# dpkg -S /usr/lib/x86_64-linux-gnu/samba/bind9/dlz_bind9.so 
samba-libs:amd64: /usr/lib/x86_64-linux-gnu/samba/bind9/dlz_bind9.so

# dpkg-query -W samba-libs bind9
bind9   1:9.9.5.dfsg-9+deb8u6A~4.2.0.201609151032
samba-libs:amd64        2:4.5.1-1.848.201611070734

# apt-cache policy samba-libs bind9
samba-libs:
  Installiert:           2:4.5.1-1.848.201611070734
  Installationskandidat: 2:4.5.1-1.848.201611070734
  Versionstabelle:
 *** 2:4.5.1-1.848.201611070734 0
        500 http://apt.knut.univention.de/4.1/maintained/ 4.1-4/amd64/ Packages
        100 /var/lib/dpkg/status
bind9:
  Installiert:           1:9.9.5.dfsg-9+deb8u6A~4.2.0.201609151032
  Installationskandidat: 1:9.9.5.dfsg-9+deb8u6A~4.2.0.201609151032
  Versionstabelle:
 *** 1:9.9.5.dfsg-9+deb8u6A~4.2.0.201609151032 0
        500 http://omar.knut.univention.de/build2/ ucs_4.2-0/amd64/ Packages
        500 http://apt.knut.univention.de/4.2/maintained/ 4.2-0/amd64/ Packages
        100 /var/lib/dpkg/status


See <https://lists.samba.org/archive/samba/2013-June/173735.html> for ideas.
Comment 3 Philipp Hahn univentionstaff 2016-12-15 15:51:57 CET
As the same version is imported into 4.1-4 and 4.2-0, the old UCS version suffix is higher than the new one for 4.2-0:

# apt-cache policy samba-libs
samba-libs:
  Installiert:           2:4.5.1-1.848.201611070734
  Installationskandidat: 2:4.5.1-1.848.201611070734
  Versionstabelle:
 *** 2:4.5.1-1.848.201611070734 0
        500 http://apt.knut.univention.de/4.1/maintained/ 4.1-4/amd64/ Packages
        100 /var/lib/dpkg/status
     2:4.5.1-1A~4.2.0.201612142113 0
        500 http://omar.knut.univention.de/build2/ ucs_4.2-0/amd64/ Packages
        500 http://apt.knut.univention.de/4.2/maintained/ 4.2-0/amd64/ Packages

From now on you need to manually overwrite the version magic when building for UCS-4.2 by inserting a '.':
  build-package-ng -r 4.2-0-0 -p samba -b . -j 4
You can stop doing so when the Upstream-Debian-Version in UCS-4.2 becomes higher than in UCS-4.1-x.

Package: samba
Version: 2:4.5.1-1.A~4.2.0.201612151547
Branch: ucs_4.2-0
Comment 4 Stefan Gohmann univentionstaff 2017-01-05 15:25:51 CET
We should switch to Samba 4.6
Comment 5 Arvid Requate univentionstaff 2017-02-28 22:01:23 CET
Somehow the python-samba package of Samba 4.6 RC2 installs it's files only directly to

/usr/lib/python2.7/dist-packages/samba

and not to /usr/{lib,share}/pyshared any longer. Below /usr/lib/python2.7/dist-packages there only used to be relative symlinks to the actual files installed below pyshared. We should check why and probably fix it.
Comment 6 Arvid Requate univentionstaff 2017-03-01 20:21:44 CET
Re: Comment 5

https://www.debian.org/doc/packaging-manuals/python-policy/ch-python.html#s-paths

says:

"Architecture-independent public Python 2 modules should be installed to /usr/lib/python2.7/dist-packages. The historical location for this was /usr/share/pyshared. Since Python 2.7 is the last Python 2 version and the only supported version in Wheezy and later releases, a version-specific location is sufficient."

so I guess it's ok.
Comment 7 Arvid Requate univentionstaff 2017-03-02 11:18:04 CET
* talloc needs to be updated to 2.1.9
* tevent needs to be rebuilt with "-b ." to make it's version higher than 4.1
Comment 8 Arvid Requate univentionstaff 2017-03-07 19:29:57 CET
* talloc updated to 2.1.9
* tevent rebuilt with "-b ." to make its version higher than in UCS 4.1
* samba 4.6.0 imported and built.
* changelog adjusted
* I checked the Samba 4.6 release notes and see no points that
  require an adjustment of the smb.conf template.
Comment 9 Arvid Requate univentionstaff 2017-03-08 19:30:13 CET
I had to adjust password.py in the univention-s4-connector. Apparently the upstream changes for Samba Bug 12601 broke the generation of the "Packages" sub-blob in the the supplementalCredentials data. As a workaround I trivially "hand-marshal" that data now.
Comment 10 Stefan Gohmann univentionstaff 2017-03-16 16:21:14 CET
Changelog: OK

ucs-test: OK (I've created some interim-4 issues which will be checked next week).

Upgrade: OK

Domain installation: OK

Join of different windows clients: OK

Share access: OK

I think it looks quite good. Everything else will be checked during the product tests.
Comment 11 Stefan Gohmann univentionstaff 2017-04-04 18:29:26 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".